MacOSX に Ruby 1.9.2 + Rails 3.0.7 を入れてみた

 iTunes Store(Japan)

Warning: simplexml_load_string() [function.simplexml-load-string]: Entity: line 1: parser error : Space required after the Public Identifier in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"> in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: ^ in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: Entity: line 1: parser error : SystemLiteral " or ' expected in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"> in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: ^ in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: Entity: line 1: parser error : SYSTEM or PUBLIC, the URI is missing in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"> in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410

Warning: simplexml_load_string() [function.simplexml-load-string]: ^ in /home/iex3/www/www/wp-content/plugins/AmazonLink/AmazonLink.php on line 410
この記事の所要時間: 120

個人的にというかなんというかRuby on Rails 3.xに触れてみたくなった(話が長くなるわけじゃないけどということにしておく)ので、開発環境のMacOSX 10.6.7にインストールしてみました。

手順

もともとRuby 1.8.7がMacOSXにはインストールされているのでアンインストールしたり、上書きせずに、rvm(Ruby Version Manager)を使ってRuby 1.9.2をインストールします。

  1. rvmのインストール
  2. % git clone --depth 1 git://github.com/wayneeseguin/rvm.git
    % cd rvm
    % ./install
    

    ボクの環境はzshなので、~/.zshrc に以下を追記します。

    ##
    # RVM
    [ -f ${HOME}/.rvm/scripts/rvm ] && source ${HOME}/.rvm/scripts/rvm
    

    ~/.zshrc を再読み込みします。

    % source ~/.zshrc
    
  3. rvmでRuby 1.9.2をインストールする
  4. % rvm install 1.9.2
    % rvm use 1.9.2
    % rvm --default 1.9.2
    
  5. Rails 3.0.7をインストールする
  6. % gem install rails
    

以上です。